/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-01 16:59:28.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.common.upyun;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * 又拍云配置信息
 *
 * @author: fengdesheng
 * @since: 2018/11/1
 */
@Component
@ConfigurationProperties(prefix = "upyun", ignoreUnknownFields = false)
public class UpYunProperty implements Serializable {
    private static final long serialVersionUID = 1L;
    private String operator;//账号
    private String psw;//密码
    private String bucket;//存储空间名称
    private String bucketUrl;//存储空间访问前缀
    private String fileUrl;//文件访问地址前缀
    private String uploadUrl;//文件存放目录

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public String getPsw() {
        return psw;
    }

    public void setPsw(String psw) {
        this.psw = psw;
    }

    public String getBucket() {
        return bucket;
    }

    public void setBucket(String bucket) {
        this.bucket = bucket;
    }

    public String getBucketUrl() {
        return bucketUrl;
    }

    public void setBucketUrl(String bucketUrl) {
        this.bucketUrl = bucketUrl;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getUploadUrl() {
        return uploadUrl;
    }

    public void setUploadUrl(String uploadUrl) {
        this.uploadUrl = uploadUrl;
    }

}