/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 16:28:20.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.entity;

import java.io.Serializable;

/**
 * 试题结构信息
 *
 * @See QuesStructType.java
 */
public class ExamQuestionStructure implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 单选题数量
     */
    private Integer singleChoiceTotal;
    /**
     * 多选题数量
     */
    private Integer multipleChoiceTotal;
    /**
     * 判断题数量
     */
    private Integer boolQuestionTotal;

    public Integer getSingleChoiceTotal() {
        return singleChoiceTotal;
    }

    public void setSingleChoiceTotal(Integer singleChoiceTotal) {
        this.singleChoiceTotal = singleChoiceTotal;
    }

    public Integer getMultipleChoiceTotal() {
        return multipleChoiceTotal;
    }

    public void setMultipleChoiceTotal(Integer multipleChoiceTotal) {
        this.multipleChoiceTotal = multipleChoiceTotal;
    }

    public Integer getBoolQuestionTotal() {
        return boolQuestionTotal;
    }

    public void setBoolQuestionTotal(Integer boolQuestionTotal) {
        this.boolQuestionTotal = boolQuestionTotal;
    }

}