/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-31 14:40:11.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.enums;

/**
 * 考试类型
 */
public enum ExamType {
    /**
     * 传统
     */
    TRADITION,

    /**
     * 在线考试(网考)
     */
    ONLINE,

    /**
     * 练习
     */
    PRACTICE,

    /**
     * 离线
     */
    OFFLINE,

    /**
     * 分布式印刷考试
     */
    PRINT_EXAM;

    /**
     * 是否为传统考试
     */
    public static boolean isTradition(String name) {
        if (TRADITION.name().equals(name)) {
            return true;
        }
        return false;
    }

}