/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-02 17:44:58.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.repository;

import cn.com.qmth.examcloud.core.print.entity.ProjectStatistic;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

@Repository
public interface ProjectStatisticRepository extends JpaRepository<ProjectStatistic, Long>, JpaSpecificationExecutor<ProjectStatistic> {

    ProjectStatistic getProjectStatisticByProjectId(Long projectId);

}