/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-22 15:28:57.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service;

import cn.com.qmth.examcloud.core.print.service.bean.printingtemplate.PrintingTemplateInfo;

import java.util.List;

/**
 * @author: fengdesheng
 * @since: 2018/10/22
 */
public interface PrintingTemplateService {

    /**
     * 获取模板信息列表
     */
    List<PrintingTemplateInfo> getPrintingTemplateList(Long orgId, Long examId);

    /**
     * 保存或更新某个模板信息
     */
    void savePrintingTemplate(PrintingTemplateInfo info);

    /**
     * 获取某个模板信息
     */
    PrintingTemplateInfo getPrintingTemplateById(Long id);

}