/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-01 09:42:42.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service.bean.coursestatistic;

import cn.com.qmth.examcloud.commons.web.cloud.api.JsonSerializable;
import cn.com.qmth.examcloud.core.print.common.PageQuery;

/**
 * @author: fengdesheng
 * @since: 2018/11/01
 */
public class CourseStatisticQuery extends PageQuery implements JsonSerializable {
    private static final long serialVersionUID = 1L;
    /**
     * 学校机构ID
     */
    private Long orgId;
    /**
     * 考试ID
     */
    private Long examId;
    /**
     * 课程ID
     */
    private Long courseId;
    /**
     * 试卷ID
     */
    private String paperName;
    /**
     * @See PaperStatus.java
     * 考试的试卷状态
     */
    private Integer paperStatus;

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getPaperName() {
        return paperName;
    }

    public void setPaperName(String paperName) {
        this.paperName = paperName;
    }

    public Integer getPaperStatus() {
        return paperStatus;
    }

    public void setPaperStatus(Integer paperStatus) {
        this.paperStatus = paperStatus;
    }

}