/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-05 14:27:26.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service.bean.examstructure;

import cn.com.qmth.examcloud.commons.web.cloud.api.JsonSerializable;
import cn.com.qmth.examcloud.core.print.common.PageQuery;

/**
 * @author weiwenhai
 * @since  2018.10.30
 */
public class ExamStructureQuery extends PageQuery implements JsonSerializable{

	private static final long serialVersionUID = -7247154384582077535L;
	
	/**
	 * 机构ID
	 */
	private Long orgId;
	
	/**
	 * 考试ID
	 */
	private Long examId;

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}
	
}
