/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-01 10:31:34.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.test;

import cn.com.qmth.examcloud.core.print.enums.TemplateType;
import cn.com.qmth.examcloud.core.print.service.PrintingTemplateService;
import cn.com.qmth.examcloud.core.print.service.bean.printingtemplate.PrintingTemplateInfo;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * @author: fengdesheng
 * @since: 2018/11/01
 */
public class ProjectTemplateServiceTest extends BaseTest {
    @Autowired
    private PrintingTemplateService printingTemplateService;

    @Test
    public void saveTest() throws Exception {
        Long orgId = 1L;
        Long examId = 1L;
        PrintingTemplateInfo info = new PrintingTemplateInfo();
        info.setOrgId(orgId);
        info.setExamId(examId);
        info.setTemplateType(TemplateType.考生数据表.getIndex());
        info.setFileName("Test");
        info.setFileUrl("test.xls");
        printingTemplateService.savePrintingTemplate(info);
    }

    @Test
    public void listTest() throws Exception {
        Long orgId = 1L;
        Long examId = 1L;
        List<PrintingTemplateInfo> list = printingTemplateService.getPrintingTemplateList(orgId, examId);
        System.out.println(jsonMapper.toJson(list));
    }

}