/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-22 15:29:39.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service;

import cn.com.qmth.examcloud.core.print.entity.ProjectBackupSetting;

/**
 * @author: fengdesheng
 * @since: 2018/10/22
 */
public interface ProjectBackupSettingService {

    /**
     * 获取某个项目的备份设置信息
     */
    ProjectBackupSetting getProjectBackupSettingById(Long projectId);

    /**
     * 保存或更新某个项目的备份设置信息
     */
    void saveProjectBackupSetting(ProjectBackupSetting info);

    /**
     * 清除某个项目的备份设置信息
     */
    void removeProjectBackupSettingById(Long projectId);

}