/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-22 15:30:11.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service;

import cn.com.qmth.examcloud.core.print.entity.ProjectOtherSetting;

import java.util.List;

/**
 * @author: fengdesheng
 * @since: 2018/10/22
 */
public interface ProjectOtherSettingService {

    /**
     * 获取其它事项设置列表
     */
    List<ProjectOtherSetting> getProjectOtherSettingList(Long projectId);

    /**
     * 获取某个其它事项设置的信息
     */
    ProjectOtherSetting getProjectOtherSettingById(Long id);

    /**
     * 保存或更新某个其它事项设置信息
     */
    void saveProjectOtherSetting(ProjectOtherSetting info);

    /**
     * 删除某个其它事项设置信息
     */
    void deleteProjectOtherSettingById(Long id);

}