/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-05 14:27:26.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service.bean.examstructure;

import cn.com.qmth.examcloud.commons.web.cloud.api.JsonSerializable;
import cn.com.qmth.examcloud.core.print.entity.ExamQuestionStructure;

/**
 * @author weiwenhai
 * @since 2018.10.30
 */
public class ExamStructureInfo implements JsonSerializable {
    private static final long serialVersionUID = 1L;

    private Long id;

    /**
     * 考试ID
     */
    private Long examId;

    /**
     * 学校机构ID
     */
    private Long orgId;

    /**
     * 学校机构名称
     */
    private String orgName;

    /**
     * 考试名称
     */
    private String examName;

    /**
     * 考试类型
     */
    private String examType;

    /**
     * 试题结构信息
     */
    private ExamQuestionStructure questionStructure;

    /**
     * 复用后的机构id
     */
    private Long newOrgId;

    /**
     * 复用后的考试id
     */
    private Long newExamId;

    /**
     * 复用后的学校机构名称
     */
    private String newOrgName;

    /**
     * 复用后的考试名称
     */
    private String newExamName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getExamType() {
        return examType;
    }

    public void setExamType(String examType) {
        this.examType = examType;
    }

    public ExamQuestionStructure getQuestionStructure() {
        return questionStructure;
    }

    public void setQuestionStructure(ExamQuestionStructure questionStructure) {
        this.questionStructure = questionStructure;
    }

    public Long getNewOrgId() {
        return newOrgId;
    }

    public void setNewOrgId(Long newOrgId) {
        this.newOrgId = newOrgId;
    }

    public Long getNewExamId() {
        return newExamId;
    }

    public void setNewExamId(Long newExamId) {
        this.newExamId = newExamId;
    }

    public String getNewOrgName() {
        return newOrgName;
    }

    public void setNewOrgName(String newOrgName) {
        this.newOrgName = newOrgName;
    }

    public String getNewExamName() {
        return newExamName;
    }

    public void setNewExamName(String newExamName) {
        this.newExamName = newExamName;
    }

}