/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-01 10:03:07.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.test;

import cn.com.qmth.examcloud.core.print.service.CourseStatisticService;
import cn.com.qmth.examcloud.core.print.service.bean.coursestatistic.CourseStatisticInfo;
import cn.com.qmth.examcloud.core.print.service.bean.coursestatistic.CourseStatisticQuery;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;

/**
 * @author: fengdesheng
 * @since: 2018/10/17
 */
public class CourseStatisticServiceTest extends BaseTest {
    @Autowired
    private CourseStatisticService courseStatisticService;

    @Test
    public void getCourseStatisticListTest() throws Exception {
        CourseStatisticQuery query = new CourseStatisticQuery();
        query.setOrgId(1L);
        query.setExamId(1L);
        query.setCourseId(1L);
        query.setPaperStatus(0);
        //query.setPaperId(1L);
        Page<CourseStatisticInfo> page = courseStatisticService.getCourseStatisticList(query);
        System.out.println(jsonMapper.toJson(page));
    }

    @Test
    public void initCourseStatisticTest() throws Exception {
        Long orgId = 1L;
        Long examId = 1L;
        Long[] courseIds = {1L};
        //courseStatisticService.initCourseStatistic(orgId, examId, courseIds);
        //courseStatisticService.initAllCourseStatistic();

        Long courseId = 262L;
        String courseName = "测试课程";
        courseStatisticService.syncCourseNameByCourseId(courseId, courseName);
    }

}